summaryrefslogtreecommitdiffstats
path: root/initscript
diff options
context:
space:
mode:
authorTrent Lloyd <lathiat@bur.st>2005-07-05 15:13:15 +0000
committerTrent Lloyd <lathiat@bur.st>2005-07-05 15:13:15 +0000
commit11ae0f189cb4962500b53cec3b5b4cd228cbcf98 (patch)
tree5693207ca51a6c41cc2c810584f19c62142a38a3 /initscript
parent05b0b1d0aad6b9613fff841000815a05486f130b (diff)
* Make the configure script just not install init scripts or dbus config if the distribution isn't supported (rather than error out)
* Import SUSE init script, still uses suse specific functions, we can change this later if we want git-svn-id: file:///home/lennart/svn/public/avahi/trunk@163 941a03a8-eaeb-0310-b9a0-b1bbd8fe43fe
Diffstat (limited to 'initscript')
-rw-r--r--initscript/Makefile.am6
-rw-r--r--initscript/SUSE/Makefile.am4
-rw-r--r--initscript/SUSE/avahi47
3 files changed, 51 insertions, 6 deletions
diff --git a/initscript/Makefile.am b/initscript/Makefile.am
index b20408a..ea26a62 100644
--- a/initscript/Makefile.am
+++ b/initscript/Makefile.am
@@ -1,16 +1,10 @@
SUBDIRS =
-if TARGET_REDHAT
-SUBDIRS += RedHat
-endif
if TARGET_GENTOO
SUBDIRS += Gentoo
endif
if TARGET_DEBIAN
SUBDIRS += Debian
endif
-if TARGET_SLACKWARE
-SUBDIRS += Slackware
-endif
if TARGET_SUSE
SUBDIRS += SUSE
endif
diff --git a/initscript/SUSE/Makefile.am b/initscript/SUSE/Makefile.am
new file mode 100644
index 0000000..7e9abf5
--- /dev/null
+++ b/initscript/SUSE/Makefile.am
@@ -0,0 +1,4 @@
+dbusinitddir = $(sysconfdir)/init.d
+dbusinitd_SCRIPTS = avahi
+
+EXTRA_DIST = $(dbusinitd_SCRIPTS)
diff --git a/initscript/SUSE/avahi b/initscript/SUSE/avahi
new file mode 100644
index 0000000..bd0cba1
--- /dev/null
+++ b/initscript/SUSE/avahi
@@ -0,0 +1,47 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: avahi
+# Required-Start: $network dbus
+# Default-Start: 3 5
+# Default-Stop:
+# Description: Avahi, a ZeroConf daemon for mDNS and service registration
+### END INIT INFO
+
+AVAHI_BIN=/usr/bin/avahi
+test -x $AVAHI_BIN || exit 5
+
+. /etc/rc.status
+rc_reset
+
+case "$1" in
+ start)
+ echo -n "Starting Avahi daemon"
+ startproc $AVAHI_BIN -D
+ rc_status -v
+ ;;
+ stop)
+ echo -n "Shutting down Avahi daemon"
+ killproc -TERM $AVAHI_BIN
+ rc_status -v
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ rc_status
+ ;;
+ force-reload|reload)
+ echo -n "Reloading Avahi daemon"
+ killproc -HUP $AVAHI_BIN
+ rc_status -v
+ ;;
+ status)
+ echo -n "Checking for Avahi daemon: "
+ checkproc $AVAHI_BIN
+ rc_status -v
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|restart|force-reload|reload}"
+ exit 1
+ ;;
+esac
+